Page MenuHomePhabricator

Disable StudiesWorld herald rules
Closed, ResolvedPublic

Description

This user spams us with hundreds or thousands of subscription/cc actions via Herald: https://phabricator.wikimedia.org/T113396#2076370
The user has a grand total of 3 actions, retesting 2 bugs, and has not been seen for months: https://phabricator.wikimedia.org/p/StudiesWorld/
The user produced a grand total of 16 lines on IRC by my count, including joins and gerritbot, on 2014-07-06, 2015-11-03, 2015-11-09, 2015-02-21.
I'm asking the user to disable the rule https://www.mediawiki.org/wiki/User_talk:StudiesWorld but I doubt I'll get an answer.

People are rightly puzzled:

#wikidata.log:2016-02-25 19.16 < multichill> andre: Who is Studiesworld and why does (s)he get subscribed to every bug?
#wikidata.log:2016-02-25 19.28 < andre
> multichill: ask Studiesworld
#wikidata.log:2016-02-25 19.28 < andre__> (Why do people ask me about User XYZ instead of asking user XYZ? Not the first time...)

In general, mass subscription by Herald is extremely disruptive: due to T78257: Notification page describes events with ignored sub-events, T107552: When I ignore subscription changes I'm not notified of being cc'ed, T624: Don't email users on cc changes by default, the user only has two choices, 1) being spammed to death, 2) not receiving some essential notifications.
If a legit use case exists for such mass subscription, such use case should be covered in a less disruptive way, e.g. by making wikibugs-l work again so that users can received and filter all the notifications they want without making other people's lives horrible.

Event Timeline

Nemo_bis created this task.Mar 1 2016, 6:59 PM
Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptMar 1 2016, 6:59 PM

I apologize, I thought that I had disabled the Herald rule. I believe I have now disabled it if I hadn't already.

StudiesWorld closed this task as Resolved.Mar 1 2016, 9:43 PM
StudiesWorld claimed this task.
Steinsplitter added a comment.EditedJun 18 2016, 2:17 PM

<removed>

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 18 2016, 2:17 PM
Steinsplitter removed a subscriber: Zppix.

@Zppix is getting added to all new bugs. I am not sure if this is needed.

H158 Notify Zppix
Conditions	
Passed	Priority is not any of 100
Passed	Is newly created is true
Passed	Rule passed.
Danny_B moved this task from To Triage to Herald rules on the Phabricator board.Jul 12 2016, 1:46 PM

@Steinsplitter: I'll add a note on Zppix's mw talkpage, requesting that he disable the rule: https://www.mediawiki.org/wiki/Topic:T7zpiwsyvb53isg2

Zppix hasn't edited any wiki since June 26, and has not responded to my comment. I think we should just disable H158.

demon added a subscriber: demon.Jul 22 2016, 6:08 PM

Gonna need database access. Tried to unlock it via the command line so I could disable it in the UI...

$ ./policy unlock H158
Unlocking: H158 Notify Zppix
View policy is not mutable.
Edit policy is not mutable.
Object has no mutable policies. Try unlocking parent/container object instead. For example, to gain access to a commit, unlock the repository it belongs to.